Gap is not considered in the loading a SLD for a marker symbol line

2016-08-11 04:56 AM - Pierre-Yves Abalain

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.16.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23349

Description

I'm exporting a style layer definition in a SLD file.

My layer is a line and I use the predéfined style "Construction road".

The style is a marker line symbol.

There's a gap of 2 specified.

When I export to the SLD file, it's OK, I retreive this GAP :

<se:Gap>

<ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

<ogc:Literal>2</ogc:Literal>

</ogc:Filter>

</se:Gap>

But when I reload this SLD file to another layer, this GAP is not considered.

I get the value of 0.

In attachment, the SLD generated.

History

#1 - 2016-08-11 10:16 AM - Nyall Dawson

- Priority changed from High to Normal

#2 - 2017-01-15 04:26 PM - Jorge Rocha

- % Done changed from 0 to 100

- Target version deleted (Future Release - High Priority)

- Status changed from Open to Closed

The provided style gap.sld is not valid.

xmlstarlet val -e -s http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd gap.sld

gap.sld:2.369: Element '{http://www.opengis.net/sld}StyledLayerDescriptor', attribute 'units': The attribute 'units' is not allowed.

gap.sld:26.69: Element '{http://www.opengis.net/ogc}Filter': This element is not expected. Expected is one of (
{http://www.opengis.net/ogc}expression, {http://www.opengis.net/ogc}Add, {http://www.opengis.net/ogc}Sub, {http://www.opengis.net/ogc}Mul,

{http://www.opengis.net/ogc}Div, {http://www.opengis.net/ogc}PropertyName, {http://www.opengis.net/ogc}Function,

{http://www.opengis.net/ogc}Literal, {http://www.opengis.net/se}FormatNumber, {http://www.opengis.net/se}FormatDate ).

gap.sld - invalid

When exporting to SLD, QGIS (QGIS version 2.99.0-Master, QGIS code revision 6ba303e) generates a valid usage of <Gap>.

                <se:Gap>

                  <ogc:Literal>11</ogc:Literal>

                </se:Gap>

I'm closing this bug since it is based on an invalid SLD. If there is a problem reading a valid SLD, please reopen this ticket and provide a valid SLD.

#3 - 2017-01-15 11:58 PM - Giovanni Manghi

- Resolution set to invalid

- % Done changed from 100 to 0

Files

gap.sld 1.54 KB 2016-08-11 Pierre-Yves Abalain
